---
title: "Lookup redemtion of UCBs"
url: "https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622/operations/receiptUcbLookup"
---

> Full API specification: https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622.md

# Lookup redemtion of UCBs

`GET` `/migros/customers/receipts/v1/ucblookup/{cumulus}`

Operation ID: `receiptUcbLookup`

Check if a Cumulus number redeemed some UCBs returning details about when and where they got redeemed.

## Path parameters

- `cumulus` (integer, required) - Cumulus Number

## Query parameters

- `ucb` (string, required) - ID of the UCB(s) to look up

## Responses

- `200` - JSON with list of purchases.

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Layout-API
  version: 1.3.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/receipts/v1/ucblookup/{cumulus}:
    get:
      description: Check if a Cumulus number redeemed some UCBs returning details
        about when and where they got redeemed.
      operationId: receiptUcbLookup
      parameters:
        - $ref: "#/components/parameters/cumulus"
        - description: ID of the UCB(s) to look up
          in: query
          name: ucb
          required: true
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ucblookupResponse"
          description: JSON with list of purchases.
      summary: Lookup redemtion of UCBs
      tags:
        - Audit
security:
  - Kong-Api-Key: []
components:
  parameters:
    cumulus:
      description: Cumulus Number
      example: 2099123456789
      in: path
      name: cumulus
      required: true
      schema:
        maximum: 2099999999999
        minimum: 2098000000000
        type: integer
  schemas:
    ucblookupResponse:
      additionalProperties:
        properties:
          cumulus:
            description: Cumulus Number
            type: string
          date_time:
            description: Human readbale date and time
            type: string
          store_name:
            description: Name of store
            type: string
          trx_id:
            description: Transaction ID to look up receipts
            type: string
        type: object
      description: Map of those UCBs that where redeemed by this cumulus number.
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
